using System.Collections.Generic;

namespace ObserverPattern
{
    public class Subject : ISubject
    {
        private readonly IList<IObserver> _list = new List<IObserver>();
        private string _state = string.Empty;

        public void Add(IObserver o)
        {
            if(!_list.Contains(o))
                _list.Add(o);
        }


        public void Remove(IObserver o)
        {
            if (_list.Contains(o))
                _list.Remove(o);
        }


        public void Notify()
        {
            foreach (var observerable in _list)
            {
                observerable.Update();
            }
        }


        public string GetState()
        {
            return _state;
        }


        public void SetState(string state)
        {
            _state = state;
            Notify();
        }
    }
}