﻿using System.Windows.Controls;
using ObserverPattern;

namespace ObserverPatternWPFApp
{
    /// <summary>
    /// Interaction logic for LabelEnglishControlObserver.xaml
    /// </summary>
    public partial class LabelEnglishControlObserver : UserControl, IObserver
    {
        public LabelEnglishControlObserver(ISubject subject)
        {
            OurSubject = subject;
            InitializeComponent();
        }


        public LabelEnglishControlObserver()
        {
            InitializeComponent();
        }


        public ISubject OurSubject { get; set; }


        public void Update()
        {
            if(OurSubject != null)
                label1.Content = OurSubject.GetState();
        }
    }
}
