﻿using System;
using System.Collections.Generic;
using System.Windows.Controls;
using ObserverPattern;

namespace ObserverPatternWPFApp
{
    /// <summary>
    /// Interaction logic for LabelTurkishControlObserver.xaml
    /// </summary>
    public partial class LabelTurkishControlObserver : UserControl, IObserver
    {

        private ISubject _subject;
        private IDictionary<string,string> _dict = new Dictionary<string, string>();

        public LabelTurkishControlObserver()
        {
            InitializeComponent();
            InitDict();
        }

        public LabelTurkishControlObserver(ISubject subject)
        {
            OurSubject = subject;
            InitializeComponent();
            InitDict();
        }

        private void InitDict()
        {
            _dict.Add("Hello", "Merhaba");
            _dict.Add("World", "Dünya");
            _dict.Add("Goodbye", "Güle Güle");
            _dict.Add("Cat", "Kedi");
            _dict.Add("Dog", "Köpek");
            _dict.Add("Apple", "Elma");
            _dict.Add("Man", "Adam");
            _dict.Add("Women", "Kadin");
        }

        public ISubject OurSubject { get; set; }


        public void Update()
        {
            if(OurSubject != null)
                label1.Content = _dict.ContainsKey(OurSubject.GetState()) ? _dict[OurSubject.GetState()] : "Cannot find it in turkish";
        }
    }
}
