﻿using System;
using System.Collections.Generic;
using System.Windows;
using ObserverPattern;

namespace ObserverPatternWPFApp
{
    /// <summary>
    /// Interaction logic for ObserverWindow.xaml
    /// </summary>
    public partial class ObserverWindow : Window
    {
        private Subject subject = new Subject();
        private IList<string> _state = new List<string>();

        public ObserverWindow()
        {
            InitializeComponent();
            subject.Add(EnglishLabel);
            subject.Add(TurkishLabel);

            EnglishLabel.OurSubject = subject;
            TurkishLabel.OurSubject = subject;

            _state.Add("Hello");
            _state.Add("World");
            _state.Add("Goodbye");
            _state.Add("Cat");
            _state.Add("Dog");
            _state.Add("Apple");
            _state.Add("Man");
            _state.Add("Women");
            _state.Add("Groovy");

        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            var random = new Random();
            var i = random.Next(_state.Count);

            subject.SetState(_state[i]);
        }
    }
}
